package hls.plugin.weixin.qiye;

public class FndAtmAttachment
{
  private String source_pk_value;
  private String file_type_code;
  private String mime_type;
  private String file_name;
  private int file_size;
  private String file_path;
  private int user_id;
  private String table_name;
  private String table_pk_value;

  public FndAtmAttachment()
  {
  }

  public FndAtmAttachment(String source_pk_value, String file_type_code, String mime_type, String file_name, int file_size, String file_path, int user_id, String table_name, String table_pk_value)
  {
    this.source_pk_value = source_pk_value;
    this.file_type_code = file_type_code;
    this.mime_type = mime_type;
    this.file_name = file_name;
    this.file_size = file_size;
    this.file_path = file_path;
    this.user_id = user_id;
    this.table_name = table_name;
    this.table_pk_value = table_pk_value;
  }

  public String getSource_pk_value() {
    return this.source_pk_value;
  }

  public void setSource_pk_value(String source_pk_value) {
    this.source_pk_value = source_pk_value;
  }

  public String getFile_type_code() {
    return this.file_type_code;
  }

  public void setFile_type_code(String file_type_code) {
    this.file_type_code = file_type_code;
  }

  public String getMime_type() {
    return this.mime_type;
  }

  public void setMime_type(String mime_type) {
    this.mime_type = mime_type;
  }

  public String getFile_name() {
    return this.file_name;
  }

  public void setFile_name(String file_name) {
    this.file_name = file_name;
  }

  public int getFile_size() {
    return this.file_size;
  }

  public void setFile_size(int file_size) {
    this.file_size = file_size;
  }

  public String getFile_path() {
    return this.file_path;
  }

  public void setFile_path(String file_path) {
    this.file_path = file_path;
  }

  public int getUser_id() {
    return this.user_id;
  }

  public void setUser_id(int user_id) {
    this.user_id = user_id;
  }

  public String getTable_name() {
    return this.table_name;
  }

  public void setTable_name(String table_name) {
    this.table_name = table_name;
  }

  public String getTable_pk_value() {
    return this.table_pk_value;
  }

  public void setTable_pk_value(String table_pk_value) {
    this.table_pk_value = table_pk_value;
  }
}